Submit multiple orders

Note for failed_orders

The index field of failed_orders is the index of the order in the request's order list

{
    "data": {
        "succeed_orders": [],
        "failed_orders": [
            {
                "request": {
                    "price": 100,
                    "quantity": 1000,
                    "strike_id": "c8151bb0106b4225132e1eed71214e8c",
                    "external_id": "order-fbfd34c6-779a-11ed-a1eb-2242ac000000"
                },
                "error": "order_external_id_existed",
                "message": "given user id already has order with the same external id",
                "index": 0
            },
            {
                "request": {
                    "price": 100,
                    "quantity": 1000,
                    "strike_id": "af92eecef365f00657df5da3f2d83d5c",
                    "external_id": "order-fbfd34c6-779a-11ed-a1eb-2242ac000001"
                },
                "error": "order_external_id_existed",
                "message": "given user id already has order with the same external id",
                "index": 1
            }
        ]
    }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

body

string

Default aggregator_id for every item in this batch; an item may override it by setting its own.

data
array of objects
data
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json